# **Class Name: Overseer**

> 

The **Overseer** is a tactical commander specializing in leading semi-autonomous constructs called **Control Units** in battle. They use their expertise to manage and enhance their units, creating a flexible and adaptive force on the battlefield.

---

## **Class Features**

### **Hit Points**

- **Hit Dice:** 1d8 per Overseer level
- **Hit Points at 1st Level:** 8 + your Constitution modifier
- **Hit Points at Higher Levels:** 1d8 (or 5) + your Constitution modifier per Overseer level after 1st

### **Proficiencies**

- **Armor:** Light armor, medium armor
- **Weapons:** Simple weapons, martial weapons
- **Tools:** Tinker’s tools
- **Saving Throws:** Intelligence, Constitution
- **Skills:** Choose two from Arcana, History, Insight, Investigation, Perception, or Survival

### **Starting Equipment**

- (a) A martial weapon and a shield or (b) two simple weapons
- (a) Scale mail or (b) leather armor
- (a) A scholar's pack or (b) an explorer's pack
- Tinker’s tools

---

### **Class Table: The Overseer**

| Level | Proficiency Bonus | Features                          | Units Controlled | Command Points |
|-------|--------------------|-----------------------------------|------------------|----------------|
| 1     | +2                 | Tactical Network, Constructed Ally | 1                | 2              |
| 2     | +2                 | Command Maneuvers, Unit Upgrades  | 1                | 3              |
| 3     | +2                 | Overseer Archetype               | 2                | 4              |
| 4     | +2                 | Ability Score Improvement         | 2                | 5              |
| 5     | +3                 | Efficient Directives             | 2                | 6              |
| 6     | +3                 | Improved Upgrades                | 2                | 7              |
| 7     | +3                 | Tactical Dominance               | 3                | 8              |
| 8     | +3                 | Ability Score Improvement         | 3                | 9              |
| 9     | +4                 | Enhanced Network                 | 3                | 10             |
| 10    | +4                 | Archetype Feature                | 3                | 11             |
| 11    | +4                 | Overclock                        | 4                | 12             |
| 12    | +4                 | Ability Score Improvement         | 4                | 13             |
| 13    | +5                 | Multi-Unit Maneuvers             | 4                | 14             |
| 14    | +5                 | Archetype Feature                | 4                | 15             |
| 15    | +5                 | Master Strategist                | 5                | 16             |
| 16    | +5                 | Ability Score Improvement         | 5                | 17             |
| 17    | +6                 | Supreme Upgrades                 | 5                | 18             |
| 18    | +6                 | Archetype Feature                | 5                | 19             |
| 19    | +6                 | Ability Score Improvement         | 6                | 20             |
| 20    | +6                 | Command Perfection               | 6                | 21             |

---

### **Core Mechanics**

#### **Tactical Network (1st Level)**

You establish a mental link with your **Constructed Ally**, enabling seamless coordination. Your ally acts on your turn, taking actions based on your commands. The ally defaults to a defensive stance if no command is issued.

- Range: 30 feet
- Commands cost **Command Points** (see below).

#### **Constructed Ally (1st Level)**

At 1st level, you gain a Constructed Ally, a semi-autonomous construct that serves as your companion in combat. Use the **Steel Defender** stat block from the Artificer class as a base but with the following modifications:

- Hit Points: Equal to 5 + five times your Overseer level.
- Your Constructed Ally levels up with you, gaining additional features and upgrades as you progress.

#### **Command Points (1st Level)**

You start with a pool of **Command Points**, which you use to issue tactical commands to your units. This pool replenishes after a long rest. The number of points available increases as shown in the class table.

Example Commands:

- **Attack Command (1 CP):** Your ally attacks as a bonus action.
- **Reinforce Defense (1 CP):** Grant your ally temporary hit points equal to your Intelligence modifier + Overseer level.
- **Flanking Maneuver (2 CP):** Your ally moves without provoking opportunity attacks.

---

#### **Command Maneuvers (2nd Level)**

You develop specialized tactics to enhance your unit’s effectiveness. Choose two **Command Maneuvers** from the list below. You gain additional maneuvers at later levels.

Example Maneuvers:

- **Shockwave (2 CP):** Your ally slams the ground, forcing creatures in a 10-foot radius to make a Strength saving throw (DC = 8 + your proficiency bonus + your Intelligence modifier) or be knocked prone.
- **Intercept (1 CP):** Your ally moves to intercept an attack targeting a creature within 10 feet of it.

---

#### **Overseer Archetype (3rd Level)**

Choose a specialization for your Overseer. Examples:

1. **Field Commander:** Focuses on battlefield control and advanced maneuvers.
2. **Mechanist:** Enhances allies with superior upgrades and experimental tech.
3. **Dominion Controller:** Combines magic with constructs, granting spellcasting abilities.

---

#### **Efficient Directives (5th Level)**

You can issue commands more fluidly. You can use a bonus action instead of an action to issue a command.

---

#### **Unit Upgrades (6th Level)**

Your allies gain a significant upgrade. Choose one upgrade per ally from the list below:

- **Flight Systems:** Your ally gains a flying speed of 30 feet.
- **Heavy Armor Plating:** Increase your ally’s AC by 2.
- **Enhanced Offense:** Your ally’s weapon attacks deal an additional 1d8 damage.

---

### **Archetype Details**

Each archetype provides unique abilities for the Overseer and their units. For example:

#### **Field Commander**

- **Tactical Mastery (3rd Level):** Gain additional Command Points and increase your command range to 60 feet.
- **Phalanx Formation (10th Level):** When two or more allies are within 10 feet of each other, they gain +1 AC.

#### **Mechanist**

- **Experimental Protocols (3rd Level):** Add a special module to your ally, such as a grappling hook or flamethrower.
- **Advanced Upgrades (10th Level):** Allies can equip two upgrades instead of one.

#### **Dominion Controller**

- **Arcane Infusion (3rd Level):** Gain limited spellcasting. Your allies can cast cantrips from your spell list.
- **Empowered Constructs (10th Level):** Allies add your Intelligence modifier to their attack and damage rolls.
